function pixel_photography_mobile_menu_open() {
  jQuery(".side_nav").addClass('show');
}
function pixel_photography_mobile_menu_close() {
  jQuery(".side_nav").removeClass('show');
}

jQuery(function($){
  $('.toggle').click(function () {
        pixel_photography_Keyboard_loop($('.side_nav'));
    });
});

var pixel_photography_Keyboard_loop = function (elem) {
  var pixel_photography_tabbable = elem.find('select, input, textarea, button, a').filter(':visible');
  var pixel_photography_firstTabbable = pixel_photography_tabbable.first();
  var pixel_photography_lastTabbable = pixel_photography_tabbable.last();
  pixel_photography_firstTabbable.focus();

  pixel_photography_lastTabbable.on('keydown', function (e) {
    if ((e.which === 9 && !e.shiftKey)) {
      e.preventDefault();
      pixel_photography_firstTabbable.focus();
    }
  });

  pixel_photography_firstTabbable.on('keydown', function (e) {
    if ((e.which === 9 && e.shiftKey)) {
      e.preventDefault();
      pixel_photography_lastTabbable.focus();
    }
  });

  elem.on('keyup', function (e) {
    if (e.keyCode === 27) {
      elem.hide();
    };
  });
};

jQuery(document).ready(function($) {
  var isRtl = $('html').attr('dir') === 'rtl';

  $('#banner-area .owl-carousel').owlCarousel({
      loop: true,
      margin: 0,
      nav: true,
      dots: false,
      rtl: isRtl,
      navText: [
        '<i class="fa fa-arrow-left" aria-hidden="true"></i>',
        '<i class="fa fa-arrow-right" aria-hidden="true"></i>'
      ],
      responsive: {
          0: {
              items: 1,
          },
          600: {
              items: 1,
          },
          1000: {
              items: 1,
          }
      }
  });
});

jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() >= 200) {
        jQuery("#return-to-top").fadeIn();
    } else {
        jQuery("#return-to-top").fadeOut();
    }
});

jQuery("#return-to-top").click(function () {
    jQuery("html, body").animate({ scrollTop: 0 }, 600);
});

jQuery(document).ready(function($) {
  $(window).scroll(function() {
      if ($('.sticky-header').length) {
          if ($(this).scrollTop() > 50) {
              $('header.sticky-header').addClass('sticky-active');
          } else {
              $('header.sticky-header').removeClass('sticky-active');
          }
      }
  });
});